Bug 518212 - 'DiskDevice' object has no attribute 'partedDisk'
Summary: 'DiskDevice' object has no attribute 'partedDisk'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:a8658f6c2cd3de3c6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-19 14:10 UTC by Clyde E. Kunkel
Modified: 2009-11-11 14:36 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-11 14:36:26 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (3.22 MB, text/plain)
2009-08-19 14:10 UTC, Clyde E. Kunkel
no flags Details
Attached traceback automatically from anaconda. (115.84 KB, text/plain)
2009-08-23 23:21 UTC, Todd
no flags Details
Attached traceback automatically from anaconda. (315.52 KB, text/plain)
2009-08-25 13:31 UTC, Martin Banas
no flags Details
Attached traceback automatically from anaconda. (674.61 KB, text/plain)
2009-08-25 20:46 UTC, James Laska
no flags Details
Attached traceback automatically from anaconda. (211.13 KB, text/plain)
2009-08-26 09:02 UTC, Andrew Parker
no flags Details
Attached traceback automatically from anaconda. (141.49 KB, text/plain)
2009-08-26 15:31 UTC, cornel panceac
no flags Details
Attached traceback automatically from anaconda. (318.78 KB, text/plain)
2009-08-26 22:10 UTC, Niels Haase
no flags Details

Description Clyde E. Kunkel 2009-08-19 14:10:40 UTC
The following was filed automatically by anaconda:
anaconda 12.16 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/iw/bootloader_main_gui.py", line 102, in __genStore
    m = disk.partedDisk.device.model
  File "/usr/lib/anaconda/iw/bootloader_main_gui.py", line 139, in _deviceChange
    m = __genStore(combo, anaconda.id.storage.disks, self.driveorder[i - 1])
AttributeError: 'DiskDevice' object has no attribute 'partedDisk'

Comment 1 Clyde E. Kunkel 2009-08-19 14:10:56 UTC
Created attachment 357941 [details]
Attached traceback automatically from anaconda.

Comment 2 Clyde E. Kunkel 2009-08-19 14:21:21 UTC
from boot.iso in rawhide 20090819, at boot loader screen checked another device and when alternate device screen came up, traceback occurred.  This particular installation course and partitioning screen is a standard one that I have used successfully in the past.

used method=http://kojipkgs. etc etc, but didn't get to that part of install attempt.

Comment 3 David Lehman 2009-08-19 17:53:42 UTC
Should be fixed in anaconda-12.17-1.

Comment 4 Todd 2009-08-23 23:21:44 UTC
Created attachment 358389 [details]
Attached traceback automatically from anaconda.

Comment 5 Martin Banas 2009-08-25 13:31:11 UTC
Created attachment 358571 [details]
Attached traceback automatically from anaconda.

Comment 6 James Laska 2009-08-25 20:46:36 UTC
Created attachment 358631 [details]
Attached traceback automatically from anaconda.

Comment 7 Andrew Parker 2009-08-26 09:02:18 UTC
Created attachment 358685 [details]
Attached traceback automatically from anaconda.

Comment 8 cornel panceac 2009-08-26 15:31:20 UTC
Created attachment 358736 [details]
Attached traceback automatically from anaconda.

Comment 9 Niels Haase 2009-08-26 22:10:58 UTC
Created attachment 358781 [details]
Attached traceback automatically from anaconda.

Comment 10 Joel Andres Granados 2009-09-02 09:27:14 UTC
Note that comments 4-9 all use anaconda-12.16.  The fix is in anaconda-12.17.

Comment 11 Clyde E. Kunkel 2009-11-11 14:36:26 UTC
Since I reported this and it is fixed for me in current anaconda/release, closing.


Note You need to log in before you can comment on or make changes to this bug.